tigase.kernel.core

## Class Dependency

- java.lang.Object
- - tigase.kernel.core.Dependency

-     public class Dependency
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dependency(BeanConfig beanConfig)` Creates instance of class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanConfig` | `getBeanConfig()` Returns definition of bean.
    `String` | `getBeanName()` Returns name of dependent bean.
    `Field` | `getField()` Returns field to be filled by dependency.
    `Type` | `getGenericType()`
    `Class<?>` | `getType()` Returns type of wanted bean.
    `boolean` | `isNullAllowed()` Checks if empty value may be injected.
    `void` | `setBeanName(String beanId)`
    `void` | `setField(Field field)`
    `void` | `setGenericType(Type genericType)`
    `void` | `setNullAllowed(boolean nullAllowed)`
    `void` | `setType(Class<?> type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Dependency

          public Dependency(BeanConfig beanConfig)

      Creates instance of class.
      Parameters:
        `beanConfig` - definition of bean.

  - ### Method Detail

    - #### getBeanConfig

          public BeanConfig getBeanConfig()

      Returns definition of bean.
      Returns:
        definition of bean.

    - #### getBeanName

          public String getBeanName()

      Returns name of dependent bean.
      Returns:
        name of dependent bean, or `null` if name is not specified.

    - #### setBeanName

          public void setBeanName(String beanId)

    - #### getField

          public Field getField()

      Returns field to be filled by dependency.
      Returns:
        field.

    - #### setField

          public void setField(Field field)

    - #### getGenericType

          public Type getGenericType()

    - #### setGenericType

          public void setGenericType(Type genericType)

    - #### getType

          public Class<?> getType()

      Returns type of wanted bean.
      Returns:
        type of bean.

    - #### setType

          public void setType(Class<?> type)

    - #### isNullAllowed

          public boolean isNullAllowed()

      Checks if empty value may be injected.
      Returns:
        `true` if dependency is optional.

    - #### setNullAllowed

          public void setNullAllowed(boolean nullAllowed)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.